Subject: [Sipping] FW: Comments on draft-ietf-sipping-app-interaction-framework-03

From: "Joe Zebarth" <[email-masked]>
Date: Mon, 17 Jan 2005 21:36:41 -0500

Gonzalo

The attached message was sent on Dec 1, 2004 and I thought I was entitled to
a response.

If a response was sent, I apologize for not finding it in my incoming mail
box.

Please let me know if I did receive a response or when I can anticipate a
response.

Thanks and Kindest Regards

Joe Zebarth

ATI Strategic Standards
Nortel (Canada)
Phone: +1 613 765 8481
ESN:    6+395 8481
Fax:     +1 613 763 2697
ESN:    6+393 2697
http://www.nortel.com <http://www.nortel.com> 

>  -----Original Message-----
> From: 	Zebarth, Joe [CAR:1A12:EXCH]  
> Sent:	Wednesday, December 01, 2004 1:29 PM
> To:	[email-masked]'
> Subject:	Comments on draft-ietf-sipping-app-interaction-framework-03
> 
> Colleagues
> 
> The following are a few comments that I have with respect to
> draft-ietf-sipping-app-interaction-framework-03.
> 
> Would it be worth noting in the abstract and/or the introduction that this
> document is providing IANA registration for a new "SIP Option Tag" and a
> new "Header Field Parameter"?
> 
> Is there an inconsistency between Figure 1 which shows the "user
> interface" on the network side of the user device and the definition
> "Focusless User Interface: A user interface which has no ability to
> perform focus determination.  An example of a focusless user interface is
> a keypad on a telephone."  So if the definition is correct should Figure 1
> show a "user interface" on the user side of the "user device".  If so,
> should we consider a new term that is less confusing for the functionality
> currently labeled as "user interface" in Figure 1?
> 
> In the definition for "Barge-In", possibly the last sentence should come
> to the front.  Minor rewording would be required if this is done.
> 
> On page 18 the words "the markup waits".  I observe that the term "markup"
> is not in the definitions section, should it be added or is there a better
> term for this functionality?
>   
> 
> 
> Kindest Regards
> 
> Joe Zebarth
> ATI Strategic Standards
> Nortel Networks (Canada)
> Phone: +1 613 765 8481
> ESN:    6+395 8481
> Fax:     +1 613 763 2697
> ESN:    6+393 2697
> http://www.nortelnetworks.com <http://www.nortelnetworks.com> 
> 
> 
_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: Gonzalo Camarillo <[email-masked]>
Date: Tue, 18 Jan 2005 15:08:14 +0200

Joe,

you are right. You did not receive any response.

In any case, when you make a comment in the mailing list on a particular 
draft, it usually helps to cc: the authors. Otherwise, it could happen 
that they miss the message.

I have cc:ed Jonathan, who is the author of the draft you are referring 
to so that he is aware of your comments.

Thanks,

Gonzalo

Joe Zebarth wrote:
> Gonzalo 
> 
> The attached message was sent on Dec 1, 2004 and I thought I was
> entitled to a response. 
> 
> If a response was sent, I apologize for not finding it in my incoming
> mail box. 
> 
> Please let me know if I did receive a response or when I can anticipate
> a response. 
> 
>  <http://www.nortel.com> http://www.nortel.com 
> 
> 
> 
> Subject:        Comments on
> draft-ietf-sipping-app-interaction-framework-03 
> 
> Colleagues 
> 
> Would it be worth noting in the abstract and/or the introduction that
> this document is providing IANA registration for a new "SIP Option Tag"
> and a new "Header Field Parameter"?
> 
> perform focus determination.  An example of a focusless user interface
> is a keypad on a telephone."  So if the definition is correct should
> Figure 1 show a "user interface" on the user side of the "user device".
> If so, should we consider a new term that is less confusing for the
> functionality currently labeled as "user interface" in Figure 1?
> 
> On page 18 the words "the markup waits".  I observe that the term
> "markup" is not in the definitions section, should it be added or is
> there a better term for this functionality?
> 
>   
> 
> 
> Kindest Regards 
> 
> Joe Zebarth 
> ATI Strategic Standards 
> Nortel Networks (Canada) 
> Phone: +1 613 765 8481 
> ESN:    6+395 8481 
> Fax:     +1 613 763 2697 
> ESN:    6+393 2697 
>  <http://www.nortelnetworks.com> http://www.nortelnetworks.com 
> 
>

---

From: Jonathan Rosenberg <[email-masked]>
Date: Wed, 19 Jan 2005 02:12:04 -0500

Joe,

My apologies for not responding, and thanks for the prod.

My comments are inline.

Joe Zebarth wrote:

> _http://www.nortel.com_
> *From:  * Zebarth, Joe [CAR:1A12:EXCH] 
> *Sent:  * Wednesday, December 01, 2004 1:29 PM
> *To:    * [email-masked]'
> *Subject:       * Comments on 

I think thats reasonable. I changed the first sentence of the abstract 
to read:

             <t> This document describes a framework for the
             interaction between users and Session Initiation Protocol
             (SIP) based applications, and defines a new Refer-To
             header field parameter and option tag in support of that
             framework. By interacting with applications, users can

and the following as the last paragraph of the introduction:

<t>This document also defines a
new SIP Refer-To header field parameter and a new SIP option tag
indicating support for that parameter.
</t>

> functionality currently labeled as "user interface" in Figure 1?

I think the problem lies with the definition. I think the name really 
needs to change to a focusless device; this is a device that cannot 
direct user input to a particular user interface. Indeed, the document 
(in one place) uses the term focusless device. I change the definition 
and update it throughout the doc (its only used three or four times).

> to the front.  Minor rewording would be required if this is done.

Reworded to:

<t hangText="Barge-In:"> The act of entering information into an IVR
user inteface prior to the completion of a prompt requesting that
information.
</t>

> there a better term for this functionality?

"markup" and "markup language" are used throughout the document, 
including the abstract. Though I think it is well understood, a 
definition couldn't hurt. There actually is one in the body of the 
document, which I copied into the definitions section:

<t hangText="Markup Language:"> A markup
language describes a logical flow of presentation of information to
the user, collection of information from the user, and transmission of
that information to an application.</t>

Thanks,
Jonathan R.
-- 
Jonathan D. Rosenberg, Ph.D.                   600 Lanidex Plaza
Director, Service Provider VoIP Architecture   Parsippany, NJ 07054-2711
Cisco Systems
[email-masked]                              FAX:   (973) 952-5050
http://www.jdrosen.net                         PHONE: (973) 952-5000
http://www.cisco.com